import { Vector } from "matter-js";
import { vectorEquals } from "../../base/math_utils";
var CurvePointIntersector = /** @class */ (function () {
    function CurvePointIntersector() {
    }
    CurvePointIntersector.prototype.intersects = function (curve, point) {
        var curveStart = Vector.create(curve.x0, curve.y0);
        var curveEnd = Vector.create(curve.x, curve.y);
        var pointVec = Vector.create(point.x, point.y);
        return vectorEquals(curveStart, pointVec) || vectorEquals(curveEnd, pointVec);
    };
    CurvePointIntersector.prototype.supportedCommandTypes = function () {
        return [["C", "S", "Q"], ["M"]];
    };
    return CurvePointIntersector;
}());
export { CurvePointIntersector };
//# sourceMappingURL=curve_point_intersector.js.map