import { Vector } from "matter-js";
import { vectorEquals } from "../../base/math_utils";
var PointPointIntersector = /** @class */ (function () {
    function PointPointIntersector() {
    }
    PointPointIntersector.prototype.intersects = function (point1, point2) {
        var point1Vec = Vector.create(point1.x, point1.y);
        var point2Vec = Vector.create(point2.x, point2.y);
        return vectorEquals(point1Vec, point2Vec);
    };
    PointPointIntersector.prototype.supportedCommandTypes = function () {
        return [["M"], ["M"]];
    };
    return PointPointIntersector;
}());
export { PointPointIntersector };
//# sourceMappingURL=point_point_intersector.js.map