var GravityPlugin = /** @class */ (function () {
    function GravityPlugin(gravity) {
        this._gravity = gravity;
    }
    GravityPlugin.prototype.setup = function (svgData, engine, rootBodies) {
        engine.gravity.x = this._gravity.x;
        engine.gravity.y = this._gravity.y;
    };
    GravityPlugin.prototype.stop = function () {
        // do nothing
    };
    return GravityPlugin;
}());
export { GravityPlugin };
//# sourceMappingURL=gravity_plugin.js.map