import { PhysicsPlugin } from "../physics_plugin";
import { SvgData } from "../../base/svg_data";
import { Engine, Body } from "matter-js";
export declare class RendererPlugin implements PhysicsPlugin {
    private _renderer;
    private _elementToAddCanvas;
    constructor(elementToAddCanvas: HTMLElement | undefined);
    setup(svgData: SvgData, physEngine: Engine, rootBodies: Body[]): void;
    stop(): void;
}
